#### D.4.23.3 NPos

Procedure from library `noether.lib` (see noether_lib).

Usage:
  NPos(i); i ideal

Return:
  A linear map phi such that phi(i) is in Noether position

Example:

    LIB "noether.lib";
    ring r=0,(X,Y,a,b),dp;
    poly f=X^8+a*Y^4-Y;
    poly g=Y^8+b*X^4-X;
    poly h=diff(f,X)*diff(g,Y)-diff(f,Y)*diff(g,X);
    ideal i=f,g,h;
    NPos(i);
    ==> The dimension of the ideal is:
    ==> 1
    ==> _[1]=X
    ==> _[2]=Y
    ==> _[3]=a
    ==> _[4]=53X+27Y-75a+b and the time of this computation is: 444 /10 sec.

User manual for Singular version 4.4.1, 2025, generated by texi2html.